# mongoc_collection_get_last_error()

## Synopsis

    const bson_t *
    mongoc_collection_get_last_error (const mongoc_collection_t *collection);

## Parameters

- `collection`: A mongoc_collection_t.

## Description

The mongoc_collection_get_last_error() function returns a bulk result. See Bulk Write Operations for examples of bulk results.

A write_concern must be at least `MONGOC_WRITE_CONCERN_W_DEFAULT` in last command execution for this to be available.

## Returns

A `bson_t` that should not be modified or `NULL`.